import { mount } from '@vue/test-utils'
import Rating from '@/components/Rating.vue'

describe('Rating', () => {
  test('is a Vue instance', () => {
    const wrapper = mount(Rating, {
      props: {
        color: "#001122"
      }
    });
    expect(wrapper.vm).toBeTruthy();
  });
  test('contains no color', () => {
    const wrapper = mount(Rating, {
      props: {
        color: "#001122"
      }
    });
    expect(wrapper.find(".rating span").find("span").classes()).empty();
  });
})
